package de.hems.trafficsim;

import android.content.Context;
import android.view.SurfaceView;
import android.view.ViewGroup;

/**
 * A Surface View which servers as a stage for a renderer.
 */
public class TimeRecordView extends SurfaceView {
    public TimeRecordView(Context context, Track track) {
        super(context);
        this.setLayoutParams(new ViewGroup.LayoutParams(ViewGroup.LayoutParams.MATCH_PARENT, ViewGroup.LayoutParams.MATCH_PARENT));
    }

    /**
     * Updates the size information of the SurfaceView, used by the Android SDK.
     *
     * @param w    new width
     * @param h    new height
     * @param oldw old width
     * @param oldh old height
     */
    @Override
    protected void onSizeChanged(int w, int h, int oldw, int oldh) {
        super.onSizeChanged(w, h, oldw, oldh);
    }
}
